• Русский
  • VSphereMachine [infrastructure.cluster.x-k8s.io/v1beta1]

    Description
    VSphereMachine is the Schema for the vspheremachines API Deprecated: This type will be removed in one of the next releases.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    VSphereMachineSpec defines the desired state of VSphereMachine

    statusobject

    VSphereMachineStatus defines the observed state of VSphereMachine

    .spec

    Description
    VSphereMachineSpec defines the desired state of VSphereMachine
    Type
    object
    Required
    networktemplate
    PropertyTypeDescription
    cloneModestring

    CloneMode specifies the type of clone operation. The LinkedClone mode is only supported for templates that have at least one snapshot. If the template has no snapshots, then CloneMode defaults to FullClone. When LinkedClone mode is enabled the DiskGiB field is ignored as it is not possible to expand disks of linked clones. Defaults to LinkedClone, but fails gracefully to FullClone if the source of the clone operation has no snapshots.

    customVMXKeysobject

    CustomVMXKeys is a dictionary of advanced VMX options that can be set on VM Defaults to empty map

    datacenterstring

    Datacenter is the name or inventory path of the datacenter in which the virtual machine is created/located.

    datastorestring

    Datastore is the name or inventory path of the datastore in which the virtual machine is created/located.

    diskGiBinteger

    DiskGiB is the size of a virtual machine's disk, in GiB. Defaults to the eponymous property value in the template from which the virtual machine is cloned.

    failureDomainstring

    FailureDomain is the failure domain unique identifier this Machine should be attached to, as defined in Cluster API. For this infrastructure provider, the name is equivalent to the name of the VSphereDeploymentZone.

    folderstring

    Folder is the name or inventory path of the folder in which the virtual machine is created/located.

    memoryMiBinteger

    MemoryMiB is the size of a virtual machine's memory, in MiB. Defaults to the eponymous property value in the template from which the virtual machine is cloned.

    networkobject

    Network is the network configuration for this machine's VM.

    numCPUsinteger

    NumCPUs is the number of virtual processors in a virtual machine. Defaults to the eponymous property value in the template from which the virtual machine is cloned.

    numCoresPerSocketinteger

    NumCoresPerSocket is the number of cores per socket in a virtual machine. Defaults to the eponymous property value in the template from which the virtual machine is cloned.

    providerIDstring

    ProviderID is the virtual machine's BIOS UUID formatted as vsphere://12345678-1234-1234-1234-123456789abc

    resourcePoolstring

    ResourcePool is the name or inventory path of the resource pool in which the virtual machine is created/located.

    serverstring

    Server is the IP address or FQDN of the vSphere server on which the virtual machine is created/located.

    snapshotstring

    Snapshot is the name of the snapshot from which to create a linked clone. This field is ignored if LinkedClone is not enabled. Defaults to the source's current snapshot.

    storagePolicyNamestring

    StoragePolicyName of the storage policy to use with this Virtual Machine

    templatestring

    Template is the name or inventory path of the template used to clone the virtual machine.

    thumbprintstring

    Thumbprint is the colon-separated SHA-1 checksum of the given vCenter server's host certificate When this is set to empty, this VirtualMachine would be created without TLS certificate validation of the communication between Cluster API Provider vSphere and the VMware vCenter server.

    .spec.customVMXKeys

    Description
    CustomVMXKeys is a dictionary of advanced VMX options that can be set on VM Defaults to empty map
    Type
    object

    .spec.network

    Description
    Network is the network configuration for this machine's VM.
    Type
    object
    Required
    devices
    PropertyTypeDescription
    devicesarray

    Devices is the list of network devices used by the virtual machine.

    preferredAPIServerCidrstring

    PreferredAPIServerCIDR is the preferred CIDR for the Kubernetes API server endpoint on this machine

    routesarray

    Routes is a list of optional, static routes applied to the virtual machine.

    .spec.network.devices

    Description
    Devices is the list of network devices used by the virtual machine.
    Type
    array

    .spec.network.devices[]

    Description
    NetworkDeviceSpec defines the network configuration for a virtual machine's network device.
    Type
    object
    Required
    networkName
    PropertyTypeDescription
    deviceNamestring

    DeviceName may be used to explicitly assign a name to the network device as it exists in the guest operating system.

    dhcp4boolean

    DHCP4 is a flag that indicates whether or not to use DHCP for IPv4 on this device. If true then IPAddrs should not contain any IPv4 addresses.

    dhcp6boolean

    DHCP6 is a flag that indicates whether or not to use DHCP for IPv6 on this device. If true then IPAddrs should not contain any IPv6 addresses.

    gateway4string

    Gateway4 is the IPv4 gateway used by this device. Required when DHCP4 is false.

    gateway6string

    Gateway6 is the IPv6 gateway used by this device. Required when DHCP6 is false.

    ipAddrsarray

    IPAddrs is a list of one or more IPv4 and/or IPv6 addresses to assign to this device. IP addresses must also specify the segment length in CIDR notation. Required when DHCP4 and DHCP6 are both false.

    macAddrstring

    MACAddr is the MAC address used by this device. It is generally a good idea to omit this field and allow a MAC address to be generated. Please note that this value must use the VMware OUI to work with the in-tree vSphere cloud provider.

    mtuinteger

    MTU is the device’s Maximum Transmission Unit size in bytes.

    nameserversarray

    Nameservers is a list of IPv4 and/or IPv6 addresses used as DNS nameservers. Please note that Linux allows only three nameservers (https://linux.die.net/man/5/resolv.conf).

    networkNamestring

    NetworkName is the name of the vSphere network to which the device will be connected.

    routesarray

    Routes is a list of optional, static routes applied to the device.

    searchDomainsarray

    SearchDomains is a list of search domains used when resolving IP addresses with DNS.

    .spec.network.devices[].ipAddrs

    Description
    IPAddrs is a list of one or more IPv4 and/or IPv6 addresses to assign to this device. IP addresses must also specify the segment length in CIDR notation. Required when DHCP4 and DHCP6 are both false.
    Type
    array

    .spec.network.devices[].ipAddrs[]

    Type
    string

    .spec.network.devices[].nameservers

    Description
    Nameservers is a list of IPv4 and/or IPv6 addresses used as DNS nameservers. Please note that Linux allows only three nameservers (https://linux.die.net/man/5/resolv.conf).
    Type
    array

    .spec.network.devices[].nameservers[]

    Type
    string

    .spec.network.devices[].routes

    Description
    Routes is a list of optional, static routes applied to the device.
    Type
    array

    .spec.network.devices[].routes[]

    Description
    NetworkRouteSpec defines a static network route.
    Type
    object
    Required
    metrictovia
    PropertyTypeDescription
    metricinteger

    Metric is the weight/priority of the route.

    tostring

    To is an IPv4 or IPv6 address.

    viastring

    Via is an IPv4 or IPv6 address.

    .spec.network.devices[].searchDomains

    Description
    SearchDomains is a list of search domains used when resolving IP addresses with DNS.
    Type
    array

    .spec.network.devices[].searchDomains[]

    Type
    string

    .spec.network.routes

    Description
    Routes is a list of optional, static routes applied to the virtual machine.
    Type
    array

    .spec.network.routes[]

    Description
    NetworkRouteSpec defines a static network route.
    Type
    object
    Required
    metrictovia
    PropertyTypeDescription
    metricinteger

    Metric is the weight/priority of the route.

    tostring

    To is an IPv4 or IPv6 address.

    viastring

    Via is an IPv4 or IPv6 address.

    .status

    Description
    VSphereMachineStatus defines the observed state of VSphereMachine
    Type
    object
    PropertyTypeDescription
    addressesarray

    Addresses contains the VSphere instance associated addresses.

    conditionsarray

    Conditions defines current service state of the VSphereMachine.

    failureMessagestring

    FailureMessage will be set in the event that there is a terminal problem reconciling the Machine and will contain a more verbose string suitable for logging and human consumption.

    This field should not be set for transitive errors that a controller faces that are expected to be fixed automatically over time (like service outages), but instead indicate that something is fundamentally wrong with the Machine's spec or the configuration of the controller, and that manual intervention is required. Examples of terminal errors would be invalid combinations of settings in the spec, values that are unsupported by the controller, or the responsible controller itself being critically misconfigured.

    Any transient errors that occur during the reconciliation of Machines can be added as events to the Machine object and/or logged in the controller's output.

    failureReasonstring

    FailureReason will be set in the event that there is a terminal problem reconciling the Machine and will contain a succinct value suitable for machine interpretation.

    This field should not be set for transitive errors that a controller faces that are expected to be fixed automatically over time (like service outages), but instead indicate that something is fundamentally wrong with the Machine's spec or the configuration of the controller, and that manual intervention is required. Examples of terminal errors would be invalid combinations of settings in the spec, values that are unsupported by the controller, or the responsible controller itself being critically misconfigured.

    Any transient errors that occur during the reconciliation of Machines can be added as events to the Machine object and/or logged in the controller's output.

    networkarray

    Network returns the network status for each of the machine's configured network interfaces.

    readyboolean

    Ready is true when the provider resource is ready.

    .status.addresses

    Description
    Addresses contains the VSphere instance associated addresses.
    Type
    array

    .status.addresses[]

    Description
    MachineAddress contains information for the node's address.
    Type
    object
    Required
    addresstype
    PropertyTypeDescription
    addressstring

    The machine address.

    typestring

    Machine address type, one of Hostname, ExternalIP or InternalIP.

    .status.conditions

    Description
    Conditions defines current service state of the VSphereMachine.
    Type
    array

    .status.conditions[]

    Description
    Condition defines an observation of a Cluster API resource operational state.
    Type
    object
    Required
    statustype
    PropertyTypeDescription
    lastTransitionTimestring

    Last time the condition transitioned from one status to another. This should be when the underlying condition changed. If that is not known, then using the time when the API field changed is acceptable.

    messagestring

    A human readable message indicating details about the transition. This field may be empty.

    reasonstring

    The reason for the condition's last transition in CamelCase. The specific API may choose whether or not this field is considered a guaranteed API. This field may not be empty.

    severitystring

    Severity provides an explicit classification of Reason code, so the users or machines can immediately understand the current situation and act accordingly. The Severity field MUST be set only when Status=False.

    statusstring

    Status of the condition, one of True, False, Unknown.

    typestring

    Type of condition in CamelCase or in foo.example.com/CamelCase. Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be useful (see .node.status.conditions), the ability to deconflict is important.

    .status.network

    Description
    Network returns the network status for each of the machine's configured network interfaces.
    Type
    array

    .status.network[]

    Description
    NetworkStatus provides information about one of a VM's networks.
    Type
    object
    Required
    macAddr
    PropertyTypeDescription
    connectedboolean

    Connected is a flag that indicates whether this network is currently connected to the VM.

    ipAddrsarray

    IPAddrs is one or more IP addresses reported by vm-tools.

    macAddrstring

    MACAddr is the MAC address of the network device.

    networkNamestring

    NetworkName is the name of the network.

    .status.network[].ipAddrs

    Description
    IPAddrs is one or more IP addresses reported by vm-tools.
    Type
    array

    .status.network[].ipAddrs[]

    Type
    string

    API Endpoints

    The following API endpoints are available:

    • /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheremachines
      • DELETE: delete collection of VSphereMachine
      • GET: list objects of kind VSphereMachine
      • POST: create a new VSphereMachine
    • /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheremachines/{name}
      • DELETE: delete the specified VSphereMachine
      • GET: read the specified VSphereMachine
      • PATCH: partially update the specified VSphereMachine
      • PUT: replace the specified VSphereMachine
    • /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheremachines/{name}/status
      • GET: read status of the specified VSphereMachine
      • PATCH: partially update status of the specified VSphereMachine
      • PUT: replace status of the specified VSphereMachine

    /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheremachines

    HTTP method
    DELETE
    Description
    delete collection of VSphereMachine
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind VSphereMachine
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereMachineList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new VSphereMachine
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVSphereMachine schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereMachine schema
    201 - CreatedVSphereMachine schema
    202 - AcceptedVSphereMachine schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheremachines/{name}

    HTTP method
    DELETE
    Description
    delete the specified VSphereMachine
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified VSphereMachine
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereMachine schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified VSphereMachine
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereMachine schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified VSphereMachine
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVSphereMachine schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereMachine schema
    201 - CreatedVSphereMachine schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1alpha3/namespaces/{namespace}/vspheremachines/{name}/status

    HTTP method
    GET
    Description
    read status of the specified VSphereMachine
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereMachine schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified VSphereMachine
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereMachine schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified VSphereMachine
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVSphereMachine schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVSphereMachine schema
    201 - CreatedVSphereMachine schema
    401 - UnauthorizedEmpty